> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getPublicWorkspace

> Get workspace public details



## OpenAPI

````yaml /admin-openapi.json get /v1/admin/workspaces/{id}/public
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspaces/{id}/public:
    get:
      tags:
        - Endpoints
      description: Get workspace public details
      operationId: getPublicWorkspace
      parameters:
        - name: id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/getPublicWorkspaceResponse'
        default:
          $ref: '#/components/responses/getPublicWorkspaceResponse'
components:
  responses:
    getPublicWorkspaceResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
              about:
                default: ''
                type: string
              profilePicture:
                default: ''
                type: string
              contactEmail:
                default: ''
                type: string
              website:
                default: ''
                type: string
              socialAccounts:
                default: []
                type: array
                items:
                  type: string
              handle:
                default: ''
                type: string
            required:
              - id
              - name
              - createdAt
              - updatedAt
            title: getPublicWorkspaceResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````